<?php
if(!defined('PESTUN')) die('Попытка взлома');
class template {

	var $dir = '';
	var $template = null;
	var $current_template = null;
	var $data = array ();
	var $block_data = array ();
	var $result = array ();
	var $allow_php_include = true;
	var $include_mode = 'tpl';


    function __construct(){
		$this->dir = ENGINE . 'templates/';
	}

	function set($name, $var) {
		if( is_array( $var ) && count( $var ) ) {
			foreach ( $var as $key => $key_var ) {
				$this->set( $key, $key_var );
			}
		} else
			$this->data[$name] = str_ireplace( "{include", "&#123;include",  $var );
	}
	function clear_url_dir($var) {
		if ( is_array($var) ) return "";
		$var = str_ireplace( ".php", "", $var );
		$var = str_ireplace( ".php", ".ppp", $var );
		$var = trim( strip_tags( $var ) );
		$var = str_replace( "\\", "/", $var );
		$var = preg_replace( "/[^a-z0-9\/\_\-]+/mi", "", $var );
		$var = preg_replace( '#[\/]+#i', '/', $var );

		return $var;

	}
	function set_block($name, $var) {
		if( is_array( $var ) && count( $var ) ) {
			foreach ( $var as $key => $key_var ) {
				$this->set_block( $key, $key_var );
			}
		} else
			$this->block_data[$name] = str_ireplace( "{include", "&#123;include",  $var );
	}

	function load_template($tpl_name) {
		global $engine;
		$url = @parse_url ( $tpl_name );
		$file_path = dirname ($this->clear_url_dir($url['path']));
		$tpl_name = pathinfo($url['path']);
		$tpl_name = $tpl_name['basename'];
		$type = explode( ".", $tpl_name );
		$type = strtolower( end( $type ) );
		if ($type != "tpl") return "";
		if ($file_path AND $file_path != ".") $tpl_name = $file_path."/".$tpl_name;
		if( stripos ( $tpl_name, ".php" ) !== false ) die( "Not Allowed Template Name: " . str_replace(ROOT, '', $this->dir)."/".$tpl_name );
		if( $tpl_name == '' || !file_exists( $this->dir . $tpl_name ) ) {
			die( "Template not found: " . str_replace(ENGINE, '', $this->dir).$tpl_name );
			return false;
		}
		$this->template = file_get_contents( $this->dir . $tpl_name );
		if(strpos($this->template, "[page=") !== false) $this->template = preg_replace_callback("#\\[page=(.+?)\\](.*?)\\[/page\\]#is", array(&$this, 'check_page'), $this->template );
		$this->current_template = $this->template;
		return true;
	}

	function check_page($matches=array()){

		$page = explode(',', $matches[1]);

        if(!(in_array($_GET['pageurl'], $page)))
			return "";
        else
			return $matches[2];

    }

	function _clear(){
		$this->data = array();
		$this->block_data = array ();
		$this->current_template = $this->template;
	}

	function clear() {
		$this->data = array();
		$this->block_data = array();
		$this->current_template = null;
		$this->template = null;
	}

	function global_clear(){
		$this->data = array ();
		$this->block_data = array ();
		$this->result = array ();
		$this->current_template = null;
		$this->template = null;
	}

	function compile($tpl) {
		if( count( $this->block_data ) ) {
			foreach ( $this->block_data as $key_find => $key_replace ) {
				$find_preg[] = $key_find;
				$replace_preg[] = $key_replace;
			}
			$this->current_template = preg_replace( $find_preg, $replace_preg, $this->current_template );
		}
		foreach ( $this->data as $key_find => $key_replace ) {
			$find[] = $key_find;
			$replace[] = $key_replace;
		}
		$this->current_template = str_replace( $find, $replace, $this->current_template );
		if( isset( $this->result[$tpl] ) ) $this->result[$tpl] .= $this->current_template;
		else $this->result[$tpl] = $this->current_template;
		$this->_clear();
	}
}
?>
