<?php
session_start();
@error_reporting ( E_ALL ^ E_WARNING ^ E_NOTICE );
@ini_set ( 'display_errors', true );
@ini_set ( 'html_errors', false );
@ini_set ( 'error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE );
define('PESTUN', true);
define('ROOT', dirname (__FILE__));
if(isset($_REQUEST['action']))
  define('ENGINE', ROOT.'/engine');

$config['charset'] = "utf-8";
if($_REQUEST['action'] == "function_check"){
  echo <<<HTML
  <h3 class="block-title">Проверка установленных компонентов PHP</h3>
  <div class="table-responsive overflow" tabindex="5003" style="overflow: hidden; outline: none;">
  <table class="table table-bordered table-hover tile" width="100%">
HTML;
  echo"<thead><tr>
  <th height=\"25\" width=\"30%\">Минимальные требования скрипта</th>
  <th height=\"25\" colspan=2>Текущее значение</th>
  </tr></thead><tbody>";
  $status = phpversion() < '5.1' ? '<font color=red>Нет</font>' : '<font color=green>Да</font>';
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Версия PHP 5.1 и выше</td>
         <td>$status</td>
         </tr>";

  $status = function_exists('json_decode') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Поддержка JSON</td>
         <td>$status</td>
        </tr>";
  $status = function_exists('mysqli_connect') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';;

  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Поддержка MySQLi</td>
         <td>$status</td>
         </tr>";
  echo"<tbody></table><div class=\"alert alert-warning\">Если любой из этих пунктов выделен красным, то пожалуйста выполните действия для исправления положения. В случае несоблюдения минимальных требований скрипта возможна его некорректная работа в системе                    </div>         ";
  echo"<table class=\"table table-bordered table-hover tile\" width=\"100%\"><thead><tr>
  <th height=\"25\" width=\"30%\">Рекомендуемые настройки</th>
  <th height=\"25\">Текущее значение</th>
  </tr></thead><tbody>";
  $status = ini_get('safe_mode') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';;
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Safe Mode</td>
         <td>$status</td>
         </tr>";

  $status = ini_get('file_uploads') ? '<font color=green>Включено</font>' : '<font color=red>Выключено</font>';;
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Загрузка файлов</td>
         <td>$status</td>
         </tr>";
  /*$status = ini_get('output_buffering') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';;

   echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Буферизация вывода</td>
         <td>$status</td>
         </tr>";*/
  $status = ini_get('magic_quotes_runtime') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';;
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Magic Quotes Runtime</td>
         <td>$status</td>
         </tr>";

  $status = ini_get('register_globals') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';;
  echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Register Globals</td>
         <td>$status</td>
         </tr>";
  /*$status = ini_get('session.auto_start') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';;
   echo"<tr>
         <td height=\"22\" class=\"tableborder main\">Session auto start</td>
         <td>$status</td>
         </tr>";*/
  echo"</tbody>
  </table>
  </div><div class=\"alert alert-success\">Данные настройки являются рекомендуемыми для полной совместимости, однако скрипт способен работать даже если рекомендуемые настройки несовпадают с текущими.</div>";
  echo <<<HTML

     <input class="btn btn-success" type=button id="resumeInstall" value="Продолжить"></td>

  <script type="text/javascript">
  $("#resumeInstall").button().click(function(){
    openWindow('chmod_check');
	\$widgets.progressbar.progress(installPESTUN,50);
  });
  </script>
HTML;
}elseif($_REQUEST['action'] == "chmod_check"){
  echo <<<HTML
  <h3 class="block-title">Проверка на запись у важных файлов системы</h3>
   <div class="table-responsive overflow" tabindex="5003" style="overflow: hidden; outline: none;">
    <table class="table table-bordered table-hover tile" width="100%">
HTML;
  echo"<thead><tr>
  <th height=\"25\" width=\"30%\">Папка/Файл</th>
  <th width=\"100\" height=\"25\">CHMOD</th>
  <th width=\"100\" height=\"25\">Статус</th></tr></thead><tbody>";
  $important_files = array(
'./engine/config/',
'./engine/backend/sections/',
'./engine/backend/modules/',
'./engine/backend/templates/',
'./uploads/frontend/',
'./uploads/backend/',
);
  $chmod_errors = 0;
  $not_found_errors = 0;
    foreach($important_files as $file){
        if(!file_exists($file)){
            $file_status = "<font color=red>не найден!</font>";
            $not_found_errors ++;
        }
        elseif(is_writable($file)){
            $file_status = "<font color=green>разрешено</font>";
        }
        else{
            @chmod($file, 0777);
            if(is_writable($file)){
                $file_status = "<font color=green>разрешено</font>";
            }else{
                @chmod("$file", 0755);
                if(is_writable($file)){
                    $file_status = "<font color=green>разрешено</font>";
                }else{
                    $file_status = "<font color=red>запрещено</font>";
                    $chmod_errors ++;
                }
            }
        }
        $chmod_value = @decoct(@fileperms($file)) % 1000;

    echo"<tr>
         <td height=\"22\" class=\"tableborder main\">$file</td>
         <td> $chmod_value</td>
         <td> $file_status</td>
         </tr>";
    }
  if($chmod_errors == 0 and $not_found_errors == 0){
    $status_report = 'Проверка успешно завершена! Можете продолжить установку!';
  }else{
    if($chmod_errors > 0){
      $status_report = "<font color=red>Внимание!!!</font>Во время проверки обнаружены ошибки: <b>$chmod_errors</b>. Запрещена запись в файл.<br />Вы должны выставить для папок CHMOD 777, для файлов CHMOD 666, используя ФТП-клиент.<br /><br /><font color=red><b>Настоятельно не рекомендуется</b></font> продолжать установку, пока не будут произведены изменения.<br />";
    }
    if($not_found_errors > 0){
      $status_report .= "<font color=red>Внимание!!!</font>Во время проверки обнаружены ошибки: <b>$not_found_errors</b>. Файлы не найдены!<br /><br /><font color=red><b>Не рекомендуется</b></font> продолжать установку, пока не будут произведены изменения.<br />";
    }
  }

  echo"</tbody>
  </table>
  <h3 class=\"block-title\">Состояние проверки</h3>
  $status_report";

  echo <<<HTML

     <div class=\"clearfix\"></div><input class="btn btn-success" type=submit id="resumeInstall" value="Продолжить">


  <script type="text/javascript">
  $("#resumeInstall").button().click(function(){
    openWindow('doconfig');
	\$widgets.progressbar.progress(installPESTUN,75);
  });
  </script>
HTML;

}elseif($_REQUEST['action'] == "doconfig"){
  $url  = preg_replace( "'/install.php'", "", $_SERVER['HTTP_REFERER']);
  $url  = preg_replace( "'\?(.*)'", "", $url);
  if(substr("$url", -1) == "/"){ $url = substr($url, 0, -1); }
  echo <<<HTML
  <h3 class="block-title">Настройки базы и ROOT администратора</h3>
  <div class="table-responsive overflow" tabindex="5003" style="overflow: hidden; outline: none;">
  <div id="installError" style="color:red"></div>
  <table class="table table-bordered table-hover tile" id="completeTableData">
HTML;


  echo'<tbody>
  <tr>
    <td width="175">URL сайта:</td>
    <td><input name=url value="'.$url.'/" size=38 type=text class="check form-control"></td>
  </tr>
  <tr>
    <td colspan="2" height="40"><b>Данные для доступа к MySQL серверу</b></td>
  </tr>
  <tr>
    <td>Сервер MySQL:</td>
	<td><input class="check form-control" type=text size="28" name="dbhost" value="localhost"></td></tr>
  <tr><td>Имя базы данных:</td><td><input class="check form-control" type=text size="28" name="dbname"></td></tr>
  <tr><td>Имя пользователя:</td><td><input class="check form-control" type=text size="28" name="dbuser"></td></tr>
  <tr><td>Пароль:</td><td><input class="check form-control" type=text size="28" name="dbpasswd"></td></tr>
  <tr class="none"><td>Префикс:</td><td><input class="check form-control" type=text size="28" name="dbprefix" value="ra"></td></tr>
  <tr class="none"><td>Кодировка для MySQL:</td><td><input class="check form-control" type=text size="28" name="dbcollate" value="utf8"></td></tr>
  <tr><td colspan="2"  height="40"><b>Данные для доступа к панели управления</b></td></tr>
  <tr><td>E-mail администратора (логин):</td><td><input class="check form-control" type=text size="28" name="reg_email"></td></tr>
  <tr><td>Пароль:</td><td><input class="check form-control" type=password size="28" name="reg_password1"></td></tr>
  <tr><td>Повторите пароль:</td><td><input class="check form-control" type=password size="28" name="reg_password2"></td></tr>
';

echo <<<HTML
  </tbody></table>
  </div>
  <input class="btn btn-success" id="resumeInstall" type=button value="Завершить установку">
  <script type="text/javascript">

  var installComplete = '<h3 class="block-title">Установка успешно завершена</h3><div class="clearfix"></div><div class="tile p-5">Поздравляем Вас, Pestun Constructor был успешно установлен на Ваш сервер.<input class="btn btn-success" type="button" onclick="document.location.href=document.location.origin" value="Обновить"></div>';
  $('.none').css('display','none');
  $("#resumeInstall").button().click(function(){
	if(!\$admin.validateemail($("[name='reg_email']").val())){
		alert('Имейл не соответствует образцу');
		return false;
	}
	$.post('install.php',{
	  action:'doinstall',
	  url: $("[name='url']").val(),
	  dbhost: $("[name='dbhost']").val(),
	  dbname: $("[name='dbname']").val(),
	  dbuser: $("[name='dbuser']").val(),
	  dbpasswd: $("[name='dbpasswd']").val(),
	  dbprefix: $("[name='dbprefix']").val(),
	  dbcollate: $("[name='dbcollate']").val(),
	  reg_username: $("[name='reg_username']").val(),
	  reg_password1: $("[name='reg_password1']").val(),
	  reg_password2: $("[name='reg_password2']").val(),
	  reg_email: $("[name='reg_email']").val()
	},function(o){
	  if(o=='1'){
	    setContent(installComplete);
		\$widgets.progressbar.progress(installPESTUN,100);
	  }else{
	    alert(o);
	  };
	});
  });
</script>
HTML;

}elseif($_REQUEST['action'] == "doinstall"){
	$reg_email = $_POST['reg_email'];
	$reg_password1 = $_POST['reg_password1'];
	$reg_password2 = $_POST['reg_password2'];
	$url = $_POST['url'];
	$dbhost = $_POST['dbhost'];
	$dbname = $_POST['dbname'];
	$dbuser = $_POST['dbuser'];
	$dbpasswd = $_POST['dbpasswd'];
	$dbprefix = $_POST['dbprefix'];
	$dbcollate = $_POST['dbcollate'];
	$reg_email = $_POST['reg_email'];
	if($reg_email =='' || $reg_password1 =='' || $url ==''){ die("Ошибка!!! Заполните необходимые поля!"); }
	if($reg_password1 != $reg_password2) die("Ошибка!!! Пароли не совпадают!");

	$salt = substr(str_replace('+', '.', base64_encode(pack('N4', mt_rand(), mt_rand(), mt_rand(),mt_rand()))), 0, 22);
    $reg_password = md5(md5($reg_password1).$salt);

	//$url = htmlspecialchars( $url, ENT_QUOTES, 'ISO-8859-1');
	//$reg_email = htmlspecialchars( $reg_email, ENT_QUOTES, 'ISO-8859-1');
	//$alt_url = htmlspecialchars( $alt_url, ENT_QUOTES, 'ISO-8859-1');
	//$url = str_replace( "$", "&#036;", $url );
	//$reg_email = str_replace( "$", "&#036;", $reg_email );
	//$alt_url = str_replace( "$", "&#036;", $alt_url );


    $config = <<<HTML
<?php
\$config = array (
        'company_name'=>'Standart Engine Project',
        'home_url'=>'{$url}',
        'admin_mail'=>'{$reg_email}',
		'charset'=>'utf-8',
);

?>
HTML;
  $robots = <<<HTML
User-agent: *
Disallow: /engine/
Host {$url}
HTML;
  $dbhost = str_replace ('"', '\"', str_replace ("$", "\\$", $dbhost) );
  $dbname = str_replace ('"', '\"', str_replace ("$", "\\$", $dbname) );
  $dbuser = str_replace ('"', '\"', str_replace ("$", "\\$", $dbuser) );
  $dbpasswd = str_replace ('"', '\"', str_replace ("$", "\\$", $dbpasswd) );
  $dbprefix = str_replace ('"', '\"', str_replace ("$", "\\$", $dbprefix) );
  $dbcollate = str_replace ('"', '\"', str_replace ("$", "\\$", $dbcollate) );
  $dbconfig = <<<HTML
<?php
define ("DBHOST", "{$dbhost}");
define ("DBNAME", "{$dbname}");
define ("DBUSER", "{$dbuser}");
define ("DBPASS", "{$dbpasswd}");
define ("COLLATE", "{$dbcollate}");
define ("PREFIX", "{$dbprefix}");
?>
HTML;
  $con_file = fopen("engine/config/config.php", "w+") or die("Невозможно создать файл <b>.engine/config/config.php</b>.<br />Проверьте правильность проставленного CHMOD!");
  fwrite($con_file, $config);
  fclose($con_file);
  @chmod("engine/config/config.php", 0666);
  $con_file = fopen("engine/config/dbconfig.php", "w+") or die("Невозможно создать файл <b>.engine/config/dbconfig.php</b>.<br />Проверьте правильность проставленного CHMOD!");
  fwrite($con_file, $dbconfig);
  fclose($con_file);
  @chmod("engine/config/dbconfig.php", 0666);
  $robo_file = fopen("robots.txt", "w+") or die("Невозможно создать файл <b>robots.txt</b>.<br />Проверьте правильность проставленного CHMOD!");
  fwrite($robo_file, $robots);
  fclose($robo_file);
  @chmod("robots.txt", 0666);
  define ("PREFIX", $dbprefix);
  define ("COLLATE", $dbcollate);
  $installQuery = array();
  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_modules";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_modules` (
  `module_id` int(11) NOT NULL,
  `module_name` varchar(20) CHARACTER SET utf8 NOT NULL,
  `module_title` varchar(30) CHARACTER SET utf8 NOT NULL,
  `side` varchar(20) CHARACTER SET utf8 NOT NULL,
  `position` int(1) NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_modules`
  ADD PRIMARY KEY (`module_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_modules`
  MODIFY `module_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_modules` (`module_name`, `module_title`, `side`, `position`) VALUES
  ('calendar', 'Календарь', 'aside', 0),
  ('updates', 'Обновления', 'top_menu', 0),
  ('messages', 'Сообщения', 'top_menu', 0)";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_sections";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_sections` (
  `section_id` int(11) NOT NULL,
  `section_parent` int(11) NOT NULL DEFAULT '0',
  `section_name` varchar(30) CHARACTER SET utf8 NOT NULL,
  `section_title` varchar(30) CHARACTER SET utf8 NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_sections`
  ADD PRIMARY KEY (`section_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_sections`
  MODIFY `section_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_sections` (`section_parent`, `section_name`, `section_title`) VALUES
  (0, 'updates', 'Обновления'),
  (0, 'profile_messages', 'Сообщения'),
  (0, 'profile_settings', 'Настройки профиля')";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_users";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_users` (
  `user_id` int(11) NOT NULL,
  `user_name` varchar(30) CHARACTER SET utf8 NOT NULL,
  `email` varchar(30) CHARACTER SET utf8 NOT NULL,
  `user_group` int(11) NOT NULL,
  `password` varchar(255) CHARACTER SET utf8 NOT NULL,
  `salt` varchar(250) CHARACTER SET utf8 NOT NULL,
  `user_short_info` varchar(50) CHARACTER SET utf8 NOT NULL,
  `newsletter` int(1) NOT NULL DEFAULT '1',
  `chat_visibility` int(1) NOT NULL DEFAULT '1',
  `skin` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT 'skin-blur-violate',
  `icon` varchar(30) CHARACTER SET utf8 NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users`
  ADD PRIMARY KEY (`user_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_users` (`user_name`, `email`, `user_group`, `password`, `salt`, `user_short_info`, `newsletter`, `chat_visibility`, `skin`, `icon`) VALUES
  ('ROOT ADMINISTRATOR', '".$reg_email."', 0, '".$reg_password."', '".$salt."', '', 0, 0, 'skin-blur-ocean', '')";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_users_data";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_users_data` (
  `data_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `data_type` varchar(100) CHARACTER SET utf8 NOT NULL,
  `data_name` varchar(30) CHARACTER SET utf8 NOT NULL,
  `data_value` longtext CHARACTER SET utf8 NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users_data`
  ADD PRIMARY KEY (`data_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users_data`
  MODIFY `data_id` int(11) NOT NULL AUTO_INCREMENT";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_users_settings";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_users_settings` (
  `setting_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `skin` varchar(20) CHARACTER SET utf8 NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users_settings`
  ADD PRIMARY KEY (`setting_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_users_settings`
  MODIFY `setting_id` int(11) NOT NULL AUTO_INCREMENT";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_user_groups";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_user_groups` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(20) CHARACTER SET utf8 NOT NULL,
  `group_access_lvl` int(2) NOT NULL,
  `mod_access_lvl` text CHARACTER SET utf8 NOT NULL,
  `menu_access_lvl` text CHARACTER SET utf8 NOT NULL,
  `sections_access_lvl` text CHARACTER SET utf8 NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_user_groups`
  ADD PRIMARY KEY (`group_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_user_groups`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_user_groups` (`group_name`, `group_access_lvl`, `mod_access_lvl`, `menu_access_lvl`, `sections_access_lvl`) VALUES
  ('Админы', 1, 'calendar', 'users_editor', ''),
  ('Юзвери', 10, 'calendar,messages', '', 'profile_messages,profile_settings')";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_user_messages";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_user_messages` (
  `message_id` bigint(20) NOT NULL,
  `user_from` int(11) NOT NULL,
  `user_to` int(11) NOT NULL,
  `theme` varchar(250) CHARACTER SET utf8 NOT NULL,
  `message` text CHARACTER SET utf8 NOT NULL,
  `parent` int(11) NOT NULL DEFAULT '0',
  `message_date` varchar(11) CHARACTER SET utf8 NOT NULL,
  `attachement` varchar(250) CHARACTER SET utf8 NOT NULL,
  `reading` int(1) NOT NULL DEFAULT '0'
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_user_messages`
  ADD PRIMARY KEY (`message_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_user_messages`
  MODIFY `message_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_user_messages` (`user_from`, `user_to`, `theme`, `message`, `parent`, `message_date`, `attachement`, `reading`) VALUES
  (1, 1, 'Инструкции', '<p>Добро пожаловать в супер админку, эта система позволяет создавать любые веб проекты с шаблона, который с самого начала имеет встроенный конфигуратор пользователей, групп и многое другое.\n</p>\n<p>Java script:</p>\n<p>$widgets - объект для добавления прогрессбаров в боковую колонку </p>\n<p>doSection(\'имя вашего модуля функций движка без расширения .php\',{объект с данными передаваемыми в модуль}, function(o){функция с переменной - ответом от модуля})</p>\n<p>loadSection(\'имя файла\',{данные}) - функция которая сразу выведет в контентное поле ответ от модуля</p>\n<p>setContent(\'HTML\') - устанавливает кусок HTML кода в контентное поле</p>\n\n', 0, '1429477200', '', 0)";

  $installQuery[] = "DROP TABLE IF EXISTS " . PREFIX . "_front_pages";
  $installQuery[] = "CREATE TABLE `" . PREFIX . "_front_pages` (
  `page_id` int(11) NOT NULL,
  `page_name` varchar(250) CHARACTER SET utf8 NOT NULL,
  `page_url` varchar(250) CHARACTER SET utf8 NOT NULL,
  `page_text` longtext CHARACTER SET utf8 NOT NULL,
  `title` varchar(250) CHARACTER SET utf8 NOT NULL,
  `description` varchar(250) CHARACTER SET utf8 NOT NULL,
  `keywords` varchar(250) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_front_pages`
  ADD PRIMARY KEY (`page_id`);";
  $installQuery[] = "ALTER TABLE `" . PREFIX . "_front_pages`
  MODIFY `page_id` int(11) NOT NULL AUTO_INCREMENT";
  $installQuery[] = "INSERT INTO `" . PREFIX . "_front_pages` (`page_name`, `page_url`, `page_text`, `title`, `description`, `keywords`) VALUES
('Главная', 'index', '<form method=\'post\' action=\'\'>\r\n	  <input type=\'text\' name=\'login_email\' />\r\n	  <input type=\'password\' name=\'login_password\' />\r\n	  <button id=\'fPered\' type=\'submit\'>Авторизация</button>\r\n	</form>', 'PESTUN', 'PESTUN', 'PESTUN')";

  include ENGINE.'/classes/mysql.class.php';
  include ENGINE.'/config/dbconfig.php';
  $db = new db;
  foreach($installQuery as $doquery) {
    $db->query($doquery);
  }

  echo '1';
  //@unlink('install.php');
}else{

  define('ENGINE', ROOT.'/engine/backend/');

  include ENGINE.'classes/templates.class.php';
  define('TEMPLATE', $tpl->dir );

        $tpl = new template();

		$tpl->load_template('index.tpl');

		$tpl->set('{headers}','');

		$tpl->set('{aside}','');

		$tpl->set('{top_menu}','');

		$tpl->set('{main_menu}','');
		if (@file_exists(ROOT.'/engine/config/config.php')) {
  $tpl->result['content'] = <<<HTML
  <h3 class="block-title">Установка скрипта автоматически заблокирована</h3>
  <div class="alert alert-danger">Внимание, на сервере обнаружен файл с настройками PESTUN Constructor. В целях безопасности вам необходимо <b>вручную</b> удалить файл <b>/engine/config/config.php</b></div>
  <input class="btn btn-success" type="button" onclick="document.location.reload()" value="Обновить">

HTML;
  }else{
		$tpl->result['content'] =  <<<HTML
<h3 class="block-title">Установка</h3>
<div class="clearfix"></div>

  <script type="text/javascript">
  var installPESTUN;
  function openWindow(name,data){
	$.post('install.php',{action:name,data:data},function(o){	    setContent(o);	  });
  };
  $(document).ready(function(){
    $("input[type='button']").button();
	$('#installStart').click(function(){
	  openWindow('function_check');
	   \$widgets.progressbar.progress(installPESTUN,25);
	});
	installPESTUN = \$widgets.progressbar.build('Установка скрипта');
  });
</script>
<div class="tile p-5">Все готово к установке, нажмите "установить" и за 3 простых шага установщик поможет вам установить и настроить скрипт. <br />
Для примера в боковой колонке вы можете видеть виджет "прогрессбар", который инициируется через объект \$widgets, управляется 2 командами<br />
Запустить: <pre>var myWidget = \$widgets.progressbar.build('Название прогрессбара');</pre> Эта функция вернет идентификатор вашего виджета, дальнейшее управление просходит посредством функции<br />
<pre>\$widgets.progressbar.progress(myWidget, 25);</pre> где 25 - это процент заполнения прогрессбар. При достижении 100% значения, прогрессбар автоматически удалится из боковой колонки.
<br />Приятной Вам работы.</div><button id="installStart" class="btn">Начать установку</button>
HTML;
  }
		$tpl->set('{content}','<style>    font {text-shadow:none !important;}  </style><div class="block-area">'.$tpl->result['content'].'</div>');

		$tpl->set('{logo}','PESTUN Constructor by JinGoo');

		$tpl->set('{skin_name}','skin-blur-night');

		$tpl->set('{profile}','');

		$tpl->set('{THEME}', 'http://'. $_SERVER['SERVER_NAME'].'/engine/backend/templates');


  $tpl->compile('index');
  echo $tpl->result['index'];

}
?>
