var $admin = {
	pager:{
		page: 'home',
		paget: 'section',
		subaction:'',
		history: [],
		open: function(p,t,s){
			if(s === undefined)
			    s = '';
		    $admin.pager.history.push([$admin.pager.page,$admin.pager.paget,$admin.pager.subaction]);
		    $admin.pager.page = p;
		    $admin.pager.paget = t;
			$admin.pager.subaction = s;
			$('#content').trigger('changepage');
			var hash = $admin.pager.page;
			if($admin.pager.subaction) hash += '/' + $admin.pager.subaction;
			location.hash = hash;
	    }
	},
	checkphone: function(f){
			var re = /^\+[\d]{11}$/;
    		var valid = re.test(f);
    		if (valid)
				return true;
    		else
				return false;
	},
	validateemail: function(email){
		if (!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(email))
            return false;
		else
			return true;

	},
	loader: '<div class="m-10" style="padding-bottom:10px; position:relative">Загружаю <img src="/engine/backend/templates/img/loadinfo.gif" id="contentLoaderWaiter" style="position:absolute; left:0; bottom:0; opacity:0.9;" /></div>'
};
var $widgets = {
	progressbar: {
	  active:[],
	  activate: function(v){
		if(v === true){
			$('#sidebar .side-widgets').append('<div id="adminProgressbars" class="s-widget m-b-25"><h2 class="tile-title">Прогресс задач</h2><div class="s-widget-body"></div></div>');
		}else if(v === false){
			$('#adminProgressbars').remove();
		};
	  },
	  build:function(t){
		if(this.active.length == 0)
		  this.activate(true);
		this.active.push(0);
		var n = this.active.length - 1;
		$('#adminProgressbars .s-widget-body').append( '<div class="side-border" data-widget-id="'+n+'"><small>'+t+'</small><div class="progress progress-small"><a href="#" data-toggle="tooltip" title="'+t+'" class="progress-bar tooltips progress-bar-danger" style="width: 0%;" data-original-title="0%"><span class="sr-only">0% завершено</span></a></div></div>');
		return n;
	  },
	  progress: function(id, l){
		$('[data-widget-id="'+id+'"] .progress-bar').css({width:l+'%'});
		this.active[id] = l;
		if(l == 100){
			setTimeout(function(){
			  if($widgets.progressbar.active[id])
				  $widgets.progressbar.destroy(id);
			}, 5000);

		};
	  },
	  destroy: function(id){
		this.active.splice(id, 1);
		$('[data-widget-id="'+id+'"]').remove();
		if(this.active.length == 0){
		  this.active = [];
		  this.activate(false);
		};
	  }
	},
    tpl: {
  	  templates: {
  		  'select-picker': '<select data-placeholder="{placeholder}" data-pestun-load-content="tag-select" {multiple}>{options}</select>'
  	  },
  	  draw: function(tmpl,content){
  		  var tpl = this.tpl.templates[tmpl];
  		  for(i in content){
  			   var rep = '{'+ i +'}';
  			   tpl = tpl.replace(rep,content[i]);
  		   }
  		   return tpl;
  	  }
    }
};
function loadAjax(p,d){
	$('#content').html($admin.loader);
	doAjax(p,d,function(o){
		setContent(o);
		if(d && d['subaction'])
		  var s = d['subaction'];
		$admin.pager.open(p,'ajax',s);
	});
};
function doAjax(p,d,f){
	var v = {'file_name':p};
	if(d && $.isPlainObject(d)){
	  for(n in d){
	    v[n] = d[n];
	  };
	}else if(d)
	  v['data'] = d;
	$.post(rootDIR+'ajax.php',v,f).fail(function(){
		console.log('произошла ошибка при загрузке страницы');
		if($('#contentLoaderWaiter'))
			setContent('произошла ошибка при загрузке страницы, повторите еще раз');
	});
};
function loadSection(p,d){
	$('#content').html($admin.loader);
	doSection(p,d,function(o){
	  setContent(o);
	  if(d && d['subaction'])
		var s = d['subaction'];
	  $admin.pager.open(p,'section',s);
    });
};
function doSection(p,d,f){
	var v = {'file_name':'sections',page:p};
	if(d && $.isPlainObject(d)){
	  for(n in d){
	    v[n] = d[n];
	  };
	}else if(d)
	  v['data'] = d;
	$.post(rootDIR+'ajax.php',v,f).fail(function(){
		console.log('произошла ошибка при загрузке страницы');
		if($('#contentLoaderWaiter'))
			setContent('произошла ошибка при загрузке страницы, повторите еще раз');
	});
};
function $isJSONstr(str){
  try{
    JSON.parse(str);
  }catch (e){
    return false;
  }
  return true;
};
function buildPopUp(m,t,footer){
  var head = '<div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button><h4 class="modal-title">'+t+'</h4></div>';
  var body = '<div class="modal-body">'+m+'</div>';
  if(!footer)
	  var footer = '<div class="modal-footer"><button type="button" class="btn btn-sm" data-dismiss="modal">Хорошо</button></div>';
  $('body').append('<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true"><div class="modal-dialog"><div class="modal-content">'+head+body+footer+'</div></div></div>');
  $('#myModal').modal({backdrop:'static'});
  $('#myModal').modal('show');
  $('#myModal').on('hidden.bs.modal', function () {
    $('#myModal').remove();
  });
};
function alert(m){
  buildPopUp(m,'Ошибка!');
};
function info(m){
  buildPopUp(m,'Информация');
};
function setContent(h){
  $('#content').html('<div class="block-area">'+h+'</div>');
};
function confirm(m,f,v){
  buildPopUp(m,'Сделай выбор друже','<div class="modal-footer"><button id="confirmYes" type="button" class="btn btn-sm">Согласен</button><button type="button" class="btn btn-sm" data-dismiss="modal">Отмена</button></div>');
  $('#confirmYes').click(function(){
	$('#myModal').modal('hide');
	$('#myModal').on('hidden.bs.modal', function () {
      if(v)
	    f(v);
      else
	    f();
	  return true;
    });
  });
};
$(document).on('click','[data-section-navigation]',function(){
    var o = {};
	o[$(this).attr('data-section-navigation')] = $(this).attr('data-section-page');
	//console.log(o);
	loadSection($(this).attr('data-section'),o);
});
$(document).ready(function(){
  //$("body").niceScroll();
  $('#content').css({height:($('#main').height()-$('#header').height()+20)}).niceScroll();
  $('aside#sidebar .side-menu:eq(0) li a').click(function(){
    if($(this).attr('data-page-type')=='ajax') loadAjax($(this).attr('data-page-load'));
	else if($(this).attr('data-page-type')=='section') loadSection($(this).attr('data-page-load'));
	$('aside#sidebar .side-menu:eq(0) li.active').removeClass('active');
	$(this).parent('li').addClass('active');
	return false;
  });
  $('#content').on('changepage',function(){
	  if($('[data-pestun-widgets="tag-select"]').length)  $('[data-pestun-widgets="tag-select"]').chosen();
	  if($('select.select').length)  $('select.select').selectpicker();
	  /*if($('[data-pestun-content-interceptor]')){
		  $('[data-pestun-content-interceptor]').each(function(){
			  if($isJSONstr($(this).text())){
				  var data = JSON.parse($(this).text());
				  for(i in data){
					  ;
				  }
			  };
		  });
	  };*/
  });
  window.onbeforeunload = function() {
    if($widgets.progressbar.active.length != 0) return 'Если уйти со страницы, или перезагрузить ее не завершится работа '+$widgets.progressbar.active.length+' модулей. Точно перейти?';
  };
});
$(window).resize(function(){
	$('#content').css({height:($('#main').height()-$('#header').height()+20)});
});
