<?php
if (!defined('PESTUN')) die('Попытка взлома');

class Core
{
    protected $config;

	protected $groups = array();

    protected $modules = array();

	protected $sections = array();

	protected $modules_side = array('aside','top_menu');

    protected $admin_menu = array('user_groups_editor','users_editor','modules_editor','sections_editor','settings_editor');

	protected $logged = false;

    protected $theme;

	protected $db;

	protected $tpl;

	public $langtranslit = array(
        'а' => 'a', 'б' => 'b', 'в' => 'v', 'г' => 'g', 'д' => 'd',
        'е' => 'e', 'ё' => 'e', 'ж' => 'zh', 'з' => 'z', 'и' => 'i',
        'й' => 'y', 'к' => 'k', 'л' => 'l', 'м' => 'm', 'н' => 'n',
        'о' => 'o', 'п' => 'p', 'р' => 'r', 'с' => 's', 'т' => 't',
        'у' => 'u', 'ф' => 'f', 'х' => 'h', 'ц' => 'c', 'ч' => 'ch',
        'ш' => 'sh', 'щ' => 'sch', 'ь' => '', 'ы' => 'y', 'ъ' => '',
        'э' => 'e', 'ю' => 'yu', 'я' => 'ya', "ї" => "yi", "є" => "ye",
        'А' => 'A', 'Б' => 'B', 'В' => 'V', 'Г' => 'G', 'Д' => 'D',
        'Е' => 'E', 'Ё' => 'E', 'Ж' => 'Zh', 'З' => 'Z', 'И' => 'I',
        'Й' => 'Y', 'К' => 'K', 'Л' => 'L', 'М' => 'M', 'Н' => 'N',
        'О' => 'O', 'П' => 'P', 'Р' => 'R', 'С' => 'S', 'Т' => 'T',
        'У' => 'U', 'Ф' => 'F', 'Х' => 'H', 'Ц' => 'C', 'Ч' => 'Ch',
        'Ш' => 'Sh', 'Щ' => 'Sch', 'Ь' => '', 'Ы' => 'Y', 'Ъ' => '',
        'Э' => 'E', 'Ю' => 'Yu', 'Я' => 'Ya', "Ї" => "yi", "Є" => "ye");

	public $lang = array(
        'hacking_attempt'=>'Попытка взлома',
        '0'=>'Нет',
        '1'=>'Да',
        'menu_names_user_groups_editor'=>'Редактор групп',
        'menu_names_users_editor'=>'Редактор пользователей',
        'menu_names_modules_editor'=>'Редактор модулей',
        'menu_names_users_menu_editor'=>'Редактор меню',
        'menu_names_settings_editor'=>'Редактор настроек',
        'menu_names_file_manager'=>'Файл менеджер',
        'menu_names_sections_editor'=>'Редактор разделов',
        'charset' => 'Кодировка',
        'home_url' => 'Адрес страницы http://url.ru/',
        'admin_mail' => 'Адрес почты для отправки сообщений',
        'company_name' => 'Название проекта',
        'save_button'=>'Сохранить',
        'del_button'=>'Удалить',
        'install_button'=>'Установить',
        'sdel_button'=>'Удалить с сервера',
        'install_button'=>'Установить',
        'edit_button'=>'Редактировать',
        'err_file_chmod'=>'Файл непотопляемый, проверьте CHMOD',
        'err_file_cntwrite'=>'Не удалось записать файл, ошибка сервера.',
        'err_cntwrite_cfg'=>'Не удается сохранить файл настроек',
        'err_try_correct_root'=>'Попытка изменить права на Root administrator',
        'err_try_edit_root'=>'Попытка редактировать Root administrator',
        'edit_code'=>'Редактировать код',
        'save_complete'=>'Сохранение увенчалось успехом',
        'side_aside'=>'Боковая колонка',
        'side_top_menu'=>'Верхнее меню',
        'admin_lang_password'=>'Пароль',
        'admin_lang_no_section_installed'=>'Нет установленных разделов',
        'admin_lang_no_modules_installed'=>'Нет установленных модулей',
        'admin_lang_user_group'=>'Группа',
        'admin_lang_user_groups_editor'=>'Редактор групп пользователей',
        'admin_lang_section_name'=>'Название раздела',
        'admin_lang_setting_editor'=>'Редактор настроек',
        'admin_lang_add_new_group'=>'Добавить группу',
        'admin_lang_menu_editor'=>'Редактор меню',);

	public $user_info = array();//profile_message.php+..+profile_settings.php

	public $do;

    public $subaction;

	function __construct()
    {
		include ROOT.'/engine/config/config.php';

		include ROOT.'/engine/config/dbconfig.php';

		if ($_GET['do'] && $_GET['do'] != '')
			$this->do = $_GET['do'];

        if ($_POST['subaction'] && $_POST['subaction'] != '')
    		$this->subaction = $_POST['subaction'];

		$this->config = $config;

		$this->db = new db;

		$this->auth();
    }

	protected function auth()
	{
		if (isset($_REQUEST['action']) && $_REQUEST['action'] == "logout") {

			@session_destroy();

			@session_unset();

			$this->logged = false;
 		    //unset($user_data);

			header( "Location: ".$this->config['home_url']);

			die();

		}

		$this->logged = false;

		$user_data = array();

		if ($_POST['login_email'] && $_POST['login_password']) {

			$this->db->query( "SELECT * FROM ".PREFIX."_users WHERE email='{$_POST['login_email']}'");

			$user_data = $this->db->get_array();

			if ($user_data['user_id'] && $user_data['password'] && $user_data['password'] == md5(md5($_POST['login_password']).$user_data['salt']) ) {

				$_SESSION['user_id'] = $user_data['user_id'];

				$_SESSION['user_group'] = $user_data['user_group'];

				$_SESSION['password'] = md5(md5($_POST['login_password']).$user_data['salt']);

				$this->logged = true;

  		    } else {

				$this->logged = false;

				unset($user_data);

 		    }

		} elseif (isset($_SESSION['user_id']) && intval($_SESSION['user_id']) > 0 && $_SESSION['password']) {

			$this->db->query( "SELECT * FROM ". PREFIX ."_users WHERE user_id='".intval($_SESSION['user_id'])."'");

			$user_data = $this->db->get_array();

			if ($user_data['user_id'] && $user_data['password'] && $user_data['password'] == $_SESSION['password']) {

				$this->logged = true;

			} else {

				$this->logged = false;

				unset($user_data);
  		    }

		} elseif ($_POST['router-hash-key']) {

            if ($this->check_router_access())
                $this->logged = true;
            else
                $this->logged = false;

        }/*elseif(isset($_COOKIE['user_id']) && intval($_COOKIE['user_id']) > 0 && $_COOKIE['password']){

  		if($user_data['user_id'] && $user_data['password'] && $user_data['password'] == md5($_COOKIE['password'] + $user_data['salt'])) {
			$user_data = array ();
			$logged = false;
  		}
		}*/


		if ($this->logged === true){

			define('ENGINE', ROOT.'/engine/backend/');

			$this->initBackend();

			include ENGINE .'classes/templates.class.php';

			$this->tpl = new template();

            $this->theme = $this->config['home_url'].'engine/backend/templates/';

		    define('TEMPLATE', $this->tpl->dir );

			if ($_SERVER['SCRIPT_NAME']=='/index.php') $this->load_index();

		} elseif ($this->logged === false) {

			@session_destroy();

			@session_unset();

			define('ENGINE', ROOT.'/engine/frontend/');

			include ENGINE .'classes/templates.class.php';

            $this->theme = $this->config['home_url'].'engine/frontend/templates/';

			if($_SERVER['SCRIPT_NAME']=='/index.php') $this->initFront();
			else if($_SERVER['SCRIPT_NAME']=='/ajax.php' || $_SERVER['SCRIPT_NAME']=='/router.php') die();

		}

	}

	protected function initFront()//Разбить на SHOWFRONT и INITFRONT + НИЖЕ
	{

		$this->tpl = new template();

        define('TEMPLATE', $this->tpl->dir );

        if(!$this->do){

            $this->db->query('SELECT * FROM '.PREFIX.'_front_pages WHERE page_url = "index"');

            $page = $this->db->get_array();

            $this->tpl->current_template = $page['page_text'];

            $this->tpl->compile('content');

        } else include ENGINE . 'sections/'.$this->do.'.php';//ПЕРЕДЕЛАТЬ КАК В БЕКЭНДЕ ОТДЕЛЬНЫМ ФАЙЛОМ!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


		$this->tpl->load_template('index.tpl');

		$this->tpl->set('{THEME}',$this->config['home_url'].'engine/frontend/templates');

        $this->tpl->set('{content}',$this->tpl->result['content']);

		$this->tpl->compile('index');

		$this->show_index($this->tpl->result['index']);
	}

	protected function initBackend()
	{
		$this->db->query("SELECT * FROM ".PREFIX."_user_groups");

		while($row = $this->db->get_row()){

		$this->groups[$row['group_id']] = array();

		    foreach($row as $n => $v) {

				$this->groups[$row['group_id']][$n] = $v;

		    }
		}

		if($_SESSION['user_group']!=0){

			if($this->groups[$_SESSION['user_group']]['sections_access_lvl']!='' && strpos($this->groups[$_SESSION['user_group']]['sections_access_lvl'],',')!==false) {

				$sections_where = ' WHERE';

				$swc = 0;

				foreach(explode(',',$this->groups[$_SESSION['user_group']]['sections_access_lvl']) as $sname){

				    $swc++;

	  			    if($swc > 1)
					    $sections_where .= ' OR';

	  			    $sections_where .= ' section_name = "'.$sname.'"';
				}

  			}else
				$sections_where = " WHERE section_name='".$this->groups[$_SESSION['user_group']]['sections_access_lvl']."'";
		}

		$this->db->query( "SELECT * FROM ".PREFIX."_sections".$sections_where." ORDER BY section_id ASC" );

		while($row = $this->db->get_row()){

			$this->sections[$row['section_name']] = array();

			foreach($row as $n => $v) {

				$this->sections[$row['section_name']][$n] = $v;

			}

		}

		if($_SESSION['user_group']!=0){

			if($this->groups[$_SESSION['user_group']]['mod_access_lvl']!='' && strpos($this->groups[$_SESSION['user_group']]['mod_access_lvl'],',')!==false) {

				$mod_where = " WHERE module_name in('".implode("','",explode(',',$this->groups[$_SESSION['user_group']]['mod_access_lvl']))."')";

			}else
				$mod_where = " WHERE module_name='".$this->groups[$_SESSION['user_group']]['mod_access_lvl']."'";

		}

		$this->db->query( "SELECT * FROM ".PREFIX."_modules".$mod_where." ORDER BY position ASC" );

		while($row = $this->db->get_row()){

			if(!isset($this->modules[$row['side']])) $this->modules[$row['side']] = array();

			$this->modules[$row['side']][$row['module_name']] = array();

			foreach($row as $n => $v) {

				$this->modules[$row['side']][$row['module_name']][$n] = $v;

			}

		}

		$this->db->query('SELECT * FROM '.PREFIX.'_users WHERE `user_id`="'.$_SESSION['user_id'].'"');

		$this->user_info = $this->db->get_array();

        $this->user_info['group_access_lvl'] = $this->groups[$this->user_info['user_group']]['group_access_lvl'];
	}

	public function check_ajax_access()
	{
		$_POST['file_name'] = $this->db->safesql($_POST['file_name']);

		$_POST['page'] = $this->db->safesql($_POST['page']);

		if(in_array($_POST['file_name'], explode(',',$this->groups[$_SESSION['user_group']]['menu_access_lvl'])) || ($_POST['file_name']=='sections' && in_array($_POST['page'], explode(',',$this->groups[$_SESSION['user_group']]['sections_access_lvl']))) || $_SESSION['user_group']==0)
			return true;
		else
			return false;
	}

	public function engine_control($page)
	{
		$page = $this->db->safesql($page);

		switch ($page) {

			case 'users_editor':
			    $this->users_editor();
				break;

			case 'user_groups_editor':
			    $this->user_groups_editor();
				break;

			case 'settings_editor':
			    $this->settings_editor();
				break;

			case 'sections_editor':
			    $this->sections_editor();
				break;

			case 'modules_editor':
			    $this->modules_editor();
				break;

			default:
			    die('ERROR: NO PAGE');
				break;

	    }

	}

    public function jout($data,$flags)
	{
		if(!$flags) $this->show_index(json_encode($data));
		else $this->show_index(json_encode($data,$flags));
	}

	protected function show_index($v)
	{
		echo $v;
	}

	protected function load_index()
	{
		$this->tpl->current_template = <<<HTML
		<meta charset="{$this->config['charset']}">
		<title>{$this->config['company_name']}</title>
		<script>
  		    var rootDIR = '{$this->config['home_url']}';
		</script>
HTML;

		$this->tpl->compile('headers');

        foreach($this->admin_menu as $name){

		  if(in_array($name,explode(',',$this->groups[$_SESSION['user_group']]['menu_access_lvl'])) || $_SESSION['user_group']==0){

			$this->tpl->load_template('main-menu-item.tpl');

			$this->tpl->set('{page_name}',$name);

			$this->tpl->set('{text}',$this->lang['menu_names_'.$name]);

			$this->tpl->set('{type}','ajax');

			$this->tpl->set_block('"\\[sub-link\\](.*?)\\[/sub-link\\]"si','');

			$this->tpl->compile('main_menu');

			$this->tpl->clear();

          }

        }

        foreach($this->sections as $name){


		  if((in_array($name['section_name'],explode(',',$this->groups[$_SESSION['user_group']]['sections_access_lvl'])) || $_SESSION['user_group']==0))
          {

			$this->tpl->load_template('main-menu-item.tpl');

			$this->tpl->set('{page_name}', $name['section_name']);

			$this->tpl->set('{text}',$name['section_title']);

			$this->tpl->set('{type}','section');

			$this->tpl->set_block('"\\[sub-link\\](.*?)\\[/sub-link\\]"si','');

			$this->tpl->compile('main_menu');

			$this->tpl->clear();

          }
        }

		$this->tpl->load_template('profile.tpl');

		if(file_exists(ROOT .'uploads/backend/users/'.$_SESSION['user_id'].'/icon.png'))
			$img = $this->config['home_url'].'uploads/backend/users/'.$_SESSION['user_id'].'/icon.png';
		else
			$img = $this->config['home_url'].'uploads/backend/users/no_icon.png';

		$this->tpl->set('{account_img}', $img);

		$this->tpl->set('{account_name}', $this->user_info['user_name']);

		$this->tpl->set('{account_short_info}', $this->user_info['user_short_info']);

		$this->tpl->set('{logout_link}', $this->config['home_url'].'?action=logout');

		$this->tpl->compile('profile');

		$this->tpl->clear();

		foreach($this->modules_side as $side){

		    if(isset($this->modules[$side])){

				foreach($this->modules[$side] as $id=>$data){

					if(file_exists(ENGINE.'modules/'.$data['module_name'].'.php')){

						include ENGINE.'modules/'.$data['module_name'].'.php';

					}else
						echo 'Module '.$data['module_name'].'.php not found';

				}

			}

		}

		$this->tpl->load_template('main.tpl');
        /*USER CODE=main.tpl*/

		/*!USER CODE*/
		$this->tpl->compile('content');


		$this->tpl->load_template('index.tpl');

		$this->tpl->set('{headers}',$this->tpl->result['headers']);

		$this->tpl->set('{aside}',$this->tpl->result['aside']);

		$this->tpl->set('{top_menu}',$this->tpl->result['top_menu']);

		$this->tpl->set('{main_menu}',$this->tpl->result['main_menu']);

		$this->tpl->set('{content}','<div class="block-area">'.$this->tpl->result['content'].'</div>');

		$this->tpl->set('{logo}',$this->config['company_name']);

		$this->tpl->set('{skin_name}',$this->user_info['skin']);

		$this->tpl->set('{profile}',$this->tpl->result['profile']);

		$this->tpl->set('{THEME}',$this->config['home_url'].'engine/backend/templates');

		$this->tpl->compile('index');

		$this->show_index($this->tpl->result['index']);
	}

	protected function creat_file($f,$c)
	{
 		$file = fopen( $f, "w" );

  		if(fwrite( $file, $c)){

			fclose( $file );

	 		return true;

  		}else
			return false;
	}



    /*                    */
    protected function get_template($tpl)
    {
        $tpl = $template;
    }

    protected function echo_json($response, $data, $flags = false)
	{
		$data = array('response'=>$response,'content'=>$data);

		if($flags === false)
		    echo json_encode($data);
		else
		    echo json_encode($data, $flags);
	}

	public function echo_data($data)
	{
        if((is_array($data) && !empty($data)) || (is_string($data) && $data != ''))
		    $this->echo_json('success',$data);
		elseif (empty($data) || $data == '')
		    $this->echo_json('success','_NO_DATA');
	}

    /*                    */



	public function isJSONstr($string)
	{
        return ((is_string($string) && (is_object(json_decode($string)) || is_array(json_decode($string))))) ? true : false;
    }

	public function saltGen()//profile_settings.php
	{
        return substr(str_replace('+', '.', base64_encode(pack('N4', mt_rand(), mt_rand(), mt_rand(),mt_rand()))), 0, 22);
    }

	public function totranslit($var, $lower = true, $punkt = true)
	{
		if ( is_array($var) ) return "";
			$var = str_replace(chr(0), '', $var);

		if (!is_array ( $this->langtranslit ) OR !count( $this->langtranslit ) ) {

			$var = trim( strip_tags( $var ) );

			if ( $punkt ) $var = preg_replace( "/[^a-z0-9\_\-.]+/mi", "", $var );
			else $var = preg_replace( "/[^a-z0-9\_\-]+/mi", "", $var );

			$var = preg_replace( '#[.]+#i', '.', $var );

			$var = str_ireplace( ".php", ".ppp", $var );

			if($lower) $var = strtolower($var);

			return $var;

		}

		$var = trim(strip_tags($var));

		$var = preg_replace("/\s+/ms", "-", $var);

		$var = str_replace("/", "-", $var);

		$var = strtr($var, $this->langtranslit);

		if($punkt) $var = preg_replace("/[^a-z0-9\_\-.]+/mi", "", $var);
		else $var = preg_replace( "/[^a-z0-9\_\-]+/mi", "", $var );

		$var = preg_replace( '#[\-]+#i', '-', $var );

		$var = preg_replace( '#[.]+#i', '.', $var );

		if ( $lower ) $var = strtolower($var);

		$var = str_ireplace(".php", "", $var);

		$var = str_ireplace(".php", ".ppp", $var);

		if(strlen($var) > 200){

			$var = substr($var,0,200);

			if(($temp_max = strrpos( $var, '-'))) $var = substr($var,0,$temp_max);

		}

		return $var;
	}

	public function writelog($action,$comments='')
	{
	    if($comments=='')
		    $comments = $this->user_info['user_name'];

	        $this->db->query('INSERT INTO '.PREFIX.'_logs (`user_id`,`log_date`,`log_action`,`log_comments`) VALUES ("'.$this->user_info['user_id'].'","'.date('d.m.Y H:i').'","'.$action.'","'.$comments.'")');
    }

	function __destruct()
    {
        if($this->tpl)
			$this->tpl->global_clear();

        $this->db->free();
    }
}
?>
